## org.eclipse.datatools.connectivity.ui
Interface IWorkbenchWindowPerspectiveActionFilter

    public interface IWorkbenchWindowPerspectiveActionFilter

Constants used when evaluating perspective state through IActionFilter or IPropertyTester TODO: remove duplicate entries. TODO: When we don't have to support 3.3, we can remove this class. See the implementation of the WorkbenchWindowPerspectiveActionFilter for details.

Field Summary
`static java.lang.String` `PERSPECTIVE_ID`
`static java.lang.String` `WORKBENCH_WINDOW_PERSPECTIVE_PROPERTY_PERSPECTIVE_ID` Used to filter views within a specific perspective

Field Detail

### WORKBENCH_WINDOW_PERSPECTIVE_PROPERTY_PERSPECTIVE_ID

    static final java.lang.String WORKBENCH_WINDOW_PERSPECTIVE_PROPERTY_PERSPECTIVE_ID

  Used to filter views within a specific perspective

  See Also:
    Constant Field Values

### PERSPECTIVE_ID

    static final java.lang.String PERSPECTIVE_ID

See Also:
  Constant Field Values

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.